Get costs overview for the organization. Currently unavailable in self-hosted ECE.
- GET /billing/costs/{organization_id}
Retrieves an overview of the costs by organization ID.
Path Parameters
-
organization_idstringrequired -
Identifier for the organization
Responses
Top-level cost overview for the organization
-
costsCostsrequired -
Costs overview for an organization. All of the costs, credits, trials are expressed in Elastic Consumption Unit (ECU).
-
totalnumberrequired -
Total costs
-
dimensionsDimensionrequired -
A collection of billing details by dimension.
-
trialsnumberrequired -
Trial costs for the organization
-
hourly_ratenumberrequired -
Hourly rate applied.
-
balanceBalance -
The available balance for an organization
-
availablenumberrequired -
Available balance
-
remainingnumberrequired -
Remaining balance
-
line_itemsSimplifiedLineItemrequired -
A collection of order line items for for an organization
-
idstringrequired -
Line Item ID
-
ecu_quantitynumberrequired -
Original Elastic Consumption Unit (ECU) quantity
-
ecu_balancenumberrequired -
Elastic Consumption Unit (ECU) Balance
-
startstringrequired -
Start of the line item's validity
-
endstringrequired -
Expiration of the line item
The specified date range is invalid. (code: costs.invalid_date_range)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The current user does not have access to the requested organization. (code: organization.invalid_access)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Organization not found. (code: organization.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
An error occurred when fetching an overview of the costs for the organization. (code: billing_service.failed_request)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response